Also add ci/run as helper script
--- /dev/null
+= README
+
+Build manifests for build.sr.ht to test on multiple platforms
--- /dev/null
+image: debian/sid
+packages:
+ - build-essential
+ - clang
+ - git
+ - golang
+ - golang-golang-x-tools
+tasks:
+ - all: |
+ cd nsscash
+ ./ci/run
--- /dev/null
+image: debian/stable
+packages:
+ - build-essential
+ - clang
+ - git
+ - golang
+ - golang-golang-x-tools
+tasks:
+ - all: |
+ cd nsscash
+ ./ci/run
--- /dev/null
+image: debian/testing
+packages:
+ - build-essential
+ - clang
+ - git
+ - golang
+ - golang-golang-x-tools
+tasks:
+ - all: |
+ cd nsscash
+ ./ci/run
--- /dev/null
+#!/bin/sh
+
+set -eu
+set -x
+
+
+make
+make test
+
+test -z "$(git clean -nd)" # any untracked files left?
+make clean
+test -z "$(git clean -ndx)" # any unignored files left?
+
+# Build with clang
+make CC=clang
+make test CC=clang